
*
* WinData.inc: 	Declarations and Data for 4-scenario, 3-stage
* 		winvest case.
*
* SN, GAMS Summer Schools, 2003.
*
$eolcom #

 option decimals=6; # , limcol = 0, limrow = 0, solprint = off;

  set Cscen  /uu, ud, dd, du/;             alias(Cscen, s, s1);
  set Cnodes /node0 * node6 /;             alias(n, n0, Cnodes);

  set Cmbs   /io2, po7, po70, io90/;       alias(Cmbs, i);
  set Ctime  /t0, t1, t2/;                 alias(Ctime, t);

  table yield(i,t,s)
                        UU          UD          DD          DU
       IO2 .T0    1.104439    1.104439    0.959238    0.959238
       IO2 .T1    1.110009    0.975907    0.935106    1.167817
       PO7 .T0    0.938159    0.938159    1.166825    1.166825
       PO7 .T1    0.933668    1.154590    1.156536    0.903233
       PO70.T0    0.924840    0.924840    1.167546    1.167546
       PO70.T1    0.891527    1.200802    1.141917    0.907837
       IO90.T0    1.107461    1.107461    0.908728    0.908728
       IO90.T1    1.105168    0.925925    0.877669    1.187143 ;

  table cash_yield(t, s)

                        UU          UD          DD          DU
            T0    1.030414    1.030414    1.012735    1.012735
            T1    1.032623    1.014298    1.009788    1.030481 ;

 table liab(t,s)
                        UU          UD          DD          DU
            T1   26.474340   26.474340   10.953843   10.953843
            T2   31.264791   26.044541   10.757200   13.608207 ;

 set repr(s1,s) / uu.(uu, ud), dd.(dd, du) /;
 parameter fanout /2/, fanout2 /2/;

 parameter val(s)
   / uu = 47.284751, ud = 49.094838, dd = 86.111238, du = 83.290085/;

 parameter transcost; transcost = 0.01
 parameter liabs;     liabs = 0;

 display yield, liab;

